from PIL import Image
from utils import Color

def getImageByColor(color):
    return Image.open(f'mean_flat-field_nef_wavelet_{color}.png')

color = Color.BLUE
image = getImageByColor(color)
height, width = image.size

multipleColorsImage = Image.new('RGB', [dimension * 2 for dimension in image.size])

for color in Color:
    colorImage = getImageByColor(color)
    for y in range(height):
        for x in range(width):
            pixel = colorImage.getpixel(x, y)
            '''
            RG
            GB
            '''
            newX, newY = {
                Color.RED: 2 * x, 2 * y,
                Color.GREEN_RIGHT: 2 * (x - 1), 2 * y,
                Color.GREEN_BOTTOM: 2 * x, 2 * (y - 1),
                Color.BLUE: 2 * (x - 1), 2 * (y - 1),
            }[color]

            multipleColorsImage.putpixel((x, y), pixel)

multipleColorsImage.save('multipleColors.png')